#!/bin/bash

current_ws=$(swaymsg -t get_workspaces | jq '.[] | select(.focused==true)|.name')

current_ws=$(printf "%02d\n" $( echo "${current_ws}" | sed 's/:.*//' | tr -d '"'))

current_ws=${current_ws:0:1}

options=$( ls "$HOME/.config/sway/scripts/shortcuts/${current_ws}" )

op=$( echo -e "${options}" | wofi -w 2 -i --dmenu | awk '{print}' )

"$HOME/.config/sway/scripts/shortcuts/${current_ws}"/"${op}"
